Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.def
Class TaskController

    java.lang.Object
      org.jbpm.taskmgmt.def.TaskController

All Implemented Interfaces:
  java.io.Serializable

    public class TaskController

extends java.lang.Object
implements java.io.Serializable

is a controller for one task. this object either delegates to a custom `TaskControllerHandler` or it is configured with `VariableAccess`s to perform the default behaviour of the controller functionality for a task.

See Also:
  Serialized Form

Constructor Summary
`TaskController()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`long` | `getId()`
`Delegation` | `getTaskControllerDelegation()`
`java.util.List` | `getVariableAccesses()`
`void` | `initializeVariables(TaskInstance taskInstance)` extract the list of information from the process variables and make them available locally.
`void` | `setTaskControllerDelegation(Delegation taskControllerDelegation)`
`void` | `setVariableAccesses(java.util.List variableAccesses)`
`void` | `submitParameters(TaskInstance taskInstance)` update the process variables from the the task-instance variables.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskController

    public TaskController()

Method Detail

### initializeVariables

    public void initializeVariables(TaskInstance taskInstance)

  extract the list of information from the process variables and make them available locally. Note that if no task instance variables are specified, the full process variables scope will be visible (that means that the user did not specify a special task instance scope).

### submitParameters

    public void submitParameters(TaskInstance taskInstance)

  update the process variables from the the task-instance variables.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getVariableAccesses

    public java.util.List getVariableAccesses()

### getTaskControllerDelegation

    public Delegation getTaskControllerDelegation()

### setTaskControllerDelegation

    public void setTaskControllerDelegation(Delegation taskControllerDelegation)

### getId

    public long getId()

### setVariableAccesses

    public void setVariableAccesses(java.util.List variableAccesses)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD